Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Functions | Variables
common.hpp File Reference

## Classes
struct | ranges::common_view< Rng, bool >
struct | ranges::common_view< Rng, true >
struct | ranges::views::common_fn
struct | ranges::views::cpp20_common_fn

## Typedefs
template<typename Rng >
using | ranges::cpp20::common_view = ranges::common_view< Rng >

## Functions
template<typename Rng >
| ranges::common_view (Rng &&) -> common_view< views::all_t< Rng >>

## Variables
constexpr ranges::views::view_closure< ranges::views::cpp20_common_fn > | ranges::cpp20::views::common {}
template<typename Rng , bool B>
constexpr bool | ranges::enable_borrowed_range< common_view< Rng, B > >

## Typedef Documentation

## ◆ common_view

template<typename Rng >

using ranges::cpp20::common_view = typedef ranges::common_view<Rng>

Precondition
  requires `view_<Rng> && (!common_range<Rng>)` //